/*
 * libgpephone
 *
 * Widget and utility library for GPE Phone Edition.
 * 
 * (c) kernel concepts 2006
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _LIBGPEPHONE_DBUS_H
#define _LIBGPEPHONE_DBUS_H

void skwindow_dbus_present_applauncher (gint nr);
gboolean skwindow_dbus_init (GpeSKWindow *window);
void skwindow_dbus_set_softkey_label (gint nr, const gchar *text);
gint skwindow_dbus_get_softkey_amount (void);
gchar *skwindow_dbus_get_softkey_key (gint nr);
void skwindow_dbus_get_softkey_menupos (gint nr, gint *menu_x, gint *menu_y);

#endif
